Package fr.gouv.vitam.metadata.core.validation

# Class UnitValidator

java.lang.Object
fr.gouv.vitam.metadata.core.validation.UnitValidator

public class UnitValidator extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnitValidator(CachedArchiveUnitProfileLoader archiveUnitProfileLoader, CachedSchemaValidatorLoader schemaValidatorLoader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `validateArchiveUnitProfile(com.fasterxml.jackson.databind.node.ObjectNode archiveUnit)`
  `void`
  `validateInternalSchema(com.fasterxml.jackson.databind.node.ObjectNode archiveUnit)`
  `void`
  `validateStartAndEndDates(com.fasterxml.jackson.databind.JsonNode archiveUnit)`
  `void`
  `validateUnit(com.fasterxml.jackson.databind.node.ObjectNode unitJson)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnitValidator

    public UnitValidator(CachedArchiveUnitProfileLoader archiveUnitProfileLoader, CachedSchemaValidatorLoader schemaValidatorLoader)

- ## Method Details

  - ### validateUnit

    public void validateUnit(com.fasterxml.jackson.databind.node.ObjectNode unitJson) throws MetadataValidationException
    Throws:
      `MetadataValidationException`

  - ### validateInternalSchema

    public void validateInternalSchema(com.fasterxml.jackson.databind.node.ObjectNode archiveUnit) throws MetadataValidationException
    Throws:
      `MetadataValidationException`

  - ### validateArchiveUnitProfile

    public void validateArchiveUnitProfile(com.fasterxml.jackson.databind.node.ObjectNode archiveUnit) throws MetadataValidationException
    Throws:
      `MetadataValidationException`

  - ### validateStartAndEndDates

    public void validateStartAndEndDates(com.fasterxml.jackson.databind.JsonNode archiveUnit) throws MetadataValidationException
    Throws:
      `MetadataValidationException`